> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /openfigi/instruments

> Resolve a market identifier (ISIN, CUSIP, SEDOL, ticker, ...) to FIGI instrument records

**Price:** 5 credits

**⚠️ Common errors:** 412: Instrument not found



## OpenAPI

````yaml /openapi/finance-markets.json post /api/openfigi/instruments
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/openfigi/instruments:
    post:
      tags:
        - /openfigi
      summary: /openfigi/instruments
      description: >-
        Resolve a market identifier (ISIN, CUSIP, SEDOL, ticker, ...) to FIGI
        instrument records


        **Price:** 5 credits


        **⚠️ Common errors:** 412: Instrument not found
      operationId: __api_openfigi_instruments_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenfigiInstrumentsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpenfigiInstrument'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpenfigiInstrumentsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        exch_code:
          anyOf:
            - type: string
            - type: 'null'
        mic_code:
          anyOf:
            - type: string
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        market_sector:
          anyOf:
            - $ref: '#/components/schemas/OpenfigiMarketSector'
            - type: 'null'
        security_type:
          anyOf:
            - type: string
            - type: 'null'
        security_type2:
          anyOf:
            - type: string
            - type: 'null'
        include_unlisted_equities:
          anyOf:
            - type: boolean
            - type: 'null'
        option_type:
          anyOf:
            - $ref: '#/components/schemas/OpenfigiOptionType'
            - type: 'null'
        state_code:
          anyOf:
            - type: string
            - type: 'null'
        strike_min:
          anyOf:
            - type: number
            - type: 'null'
        strike_max:
          anyOf:
            - type: number
            - type: 'null'
        contract_size_min:
          anyOf:
            - type: number
            - type: 'null'
        contract_size_max:
          anyOf:
            - type: number
            - type: 'null'
        coupon_min:
          anyOf:
            - type: number
            - type: 'null'
        coupon_max:
          anyOf:
            - type: number
            - type: 'null'
        maturity_start:
          anyOf:
            - type: string
            - type: 'null'
        maturity_end:
          anyOf:
            - type: string
            - type: 'null'
        expiration_start:
          anyOf:
            - type: string
            - type: 'null'
        expiration_end:
          anyOf:
            - type: string
            - type: 'null'
        id_type:
          $ref: '#/components/schemas/OpenfigiIdType'
        id_value:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - id_type
        - id_value
        - count
    OpenfigiInstrument:
      properties:
        '@type':
          type: string
          default: OpenfigiInstrument
        figi:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        ticker:
          anyOf:
            - type: string
            - type: 'null'
        exch_code:
          anyOf:
            - type: string
            - type: 'null'
        composite_figi:
          anyOf:
            - type: string
            - type: 'null'
        share_class_figi:
          anyOf:
            - type: string
            - type: 'null'
        security_type:
          anyOf:
            - type: string
            - type: 'null'
        security_type2:
          anyOf:
            - type: string
            - type: 'null'
        market_sector:
          anyOf:
            - type: string
            - type: 'null'
        security_description:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - figi
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpenfigiMarketSector:
      type: string
      enum:
        - Comdty
        - Corp
        - Curncy
        - Equity
        - Govt
        - Index
        - M-Mkt
        - Mtge
        - Muni
        - Pfd
    OpenfigiOptionType:
      type: string
      enum:
        - Call
        - Put
    OpenfigiIdType:
      type: string
      enum:
        - BARCLAYS_TICKER
        - BASE_TICKER
        - COMPOSITE_ID_BB_GLOBAL
        - ID_BB
        - ID_BB_8_CHR
        - ID_BB_GLOBAL
        - ID_BB_GLOBAL_SHARE_CLASS_LEVEL
        - ID_BB_SEC_NUM_DES
        - ID_BB_UNIQUE
        - ID_CINS
        - ID_COMMON
        - ID_CUSIP
        - ID_CUSIP_8_CHR
        - ID_EXCH_SYMBOL
        - ID_FULL_EXCHANGE_SYMBOL
        - ID_ISIN
        - ID_ITALY
        - ID_SEDOL
        - ID_SHORT_CODE
        - ID_TRACE
        - ID_WERTPAPIER
        - OCC_SYMBOL
        - OPRA_SYMBOL
        - TICKER
        - TRADEBOOK_TICKER
        - TRADING_SYSTEM_IDENTIFIER
        - UNIQUE_ID_FUT_OPT
        - VENDOR_INDEX_CODE
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````